Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezforum/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 7420 2001-09-24 11:53:43Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26 ?>
27
28
29 <?php
30 $url_array = explode( "/", $REQUEST_URI );
31
32 // include_once( "ezuser/classes/ezpermission.php" );
33 // include_once( "classes/ezhttptool.php" );
34 $user =& eZUser::currentUser();
35 if ( eZPermission::checkPermission( $user, "eZForum", "ModuleEdit" ) == false )
36 {
37 eZHTTPTool::header( "Location: /error/403" );
38 exit();
39 }
40 switch ( $url_array[2] )
41 {
42 case "forumlist":
43 {
44 $CategoryID = $url_array[3];
45 include( "kernel/ezforum/admin/forumlist.php" );
46 }
47 break;
48
49 case "unapprovedlist":
50 {
51 if ( $url_array[3] == "parent" )
52 $Offset = $url_array[4];
53 else
54 $Offset = 0;
55 include( "kernel/ezforum/admin/unapprovedlist.php" );
56 }
57 break;
58 case "unapprovededit":
59 {
60 include( "kernel/ezforum/admin/unapprovededit.php" );
61 }
62 break;
63
64
65 case "messagelist":
66 {
67 $ForumID = $url_array[3];
68
69 if ( isset( $url_array[5] ) && isset( $url_array[4] ) && $url_array[4] == "parent" )
70 $Offset = $url_array[5];
71 else
72 $Offset = 0;
73
74 include( "kernel/ezforum/admin/messagelist.php" );
75 }
76 break;
77
78 case "search" :
79 {
80 if ( $url_array[3] == "parent" )
81 {
82 $QueryString = urldecode( $url_array[4] );
83 $Offset = $url_array[5];
84 if ( !is_numeric( $Offset ) )
85 $Offset = 0;
86 }
87 include( "kernel/ezforum/admin/search.php" );
88 }
89 break;
90
91
92 case "message":
93 {
94 $MessageID = $url_array[3];
95 include( "kernel/ezforum/admin/message.php" );
96 }
97 break;
98
99 case "messageedit":
100 {
101 if ( $url_array[3] == "edit" )
102 {
103 $Action = "edit";
104 $MessageID = $url_array[4];
105 include( "kernel/ezforum/admin/messageedit.php" );
106 }
107 if ( $url_array[3] == "update" )
108 {
109 $Action = "update";
110 $MessageID = $url_array[4];
111 include( "kernel/ezforum/admin/messageedit.php" );
112 }
113 if ( $url_array[3] == "delete" )
114 {
115 $Action = "delete";
116 $MessageID = $url_array[4];
117 include( "kernel/ezforum/admin/messageedit.php" );
118 }
119 }
120 break;
121 case "forumedit":
122 {
123 if ( $url_array[3] == "new" )
124 {
125 $Action = "new";
126 include( "kernel/ezforum/admin/forumedit.php" );
127 }
128
129 if ( $url_array[3] == "insert" )
130 {
131 $Action = "insert";
132 include( "kernel/ezforum/admin/forumedit.php" );
133 }
134
135 if ( $url_array[3] == "edit" )
136 {
137 $Action = "edit";
138 $ForumID = $url_array[4];
139 include( "kernel/ezforum/admin/forumedit.php" );
140 }
141 if ( $url_array[3] == "update" )
142 {
143
144 $Action = "update";
145 $ForumID = $url_array[4];
146 include( "kernel/ezforum/admin/forumedit.php" );
147 }
148 if ( $url_array[3] == "delete" )
149 {
150 $Action = "delete";
151 $ForumID = $url_array[4];
152 include( "kernel/ezforum/admin/forumedit.php" );
153 }
154 }
155 break;
156
157 case "categoryedit":
158 {
159 if ( $url_array[3] == "new" )
160 {
161 $Action = "new";
162 $CategoryID = false;
163 $sectionID = false;
164 include( "kernel/ezforum/admin/categoryedit.php" );
165 }
166 if ( $url_array[3] == "insert" )
167 {
168 $Action = "insert";
169 include( "kernel/ezforum/admin/categoryedit.php" );
170 }
171 if ( $url_array[3] == "edit" )
172 {
173 $Action = "edit";
174 $CategoryID = $url_array[4];
175 include( "kernel/ezforum/admin/categoryedit.php" );
176 }
177 if ( $url_array[3] == "update" )
178 {
179 $Action = "update";
180 $CategoryID = $url_array[4];
181 include( "kernel/ezforum/admin/categoryedit.php" );
182 }
183 if ( $url_array[3] == "delete" )
184 {
185 $Action = "delete";
186 $CategoryID = $url_array[4];
187 include( "kernel/ezforum/admin/categoryedit.php" );
188 }
189 }
190 break;
191
192 case "categorylist" :
193 {
194 include( "kernel/ezforum/admin/categorylist.php" );
195 }
196 break;
197 case "norights":
198 {
199 include( "kernel/ezforum/admin/norights.php" );
200 }
201 break;
202
203 default :
204 {
205 eZHTTPTool::header( "Location: /error/404" );
206 exit();
207 }
208 break;
209 }
210
211 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$url_array
$url_array
Definition: ezforum/admin/datasupplier.php:30
$user
$user
Definition: ezforum/admin/datasupplier.php:34
exit
exit
Definition: folder.php:81
$REQUEST_URI
$REQUEST_URI
Definition: storestats.php:32
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.